diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 23d2b1be424..aef2d9b14d3 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -12132,7 +11961,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-debug-discard-caches" xreflabel="debug_discard_caches">
-      <term><varname>debug_discard_caches</varname> (<type>integer</type>)
+      <term><varname>debug_discard_caches</varname> (<type>integer</type>) default is 0
       <indexterm>
        <primary><varname>debug_discard_caches</varname> configuration parameter</primary>
       </indexterm>
@@ -12145,8 +11974,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         system catalogs is effectively disabled as a result, so the server
         will run extremely slowly.  Higher values run the cache invalidation
         recursively, which is even slower and only useful for testing
-        the caching logic itself.  The default value of <literal>0</literal>
-        selects normal catalog caching behavior.
+        the caching logic itself.  Value of 0 selects normal catalog caching behavior.
        </para>
 
        <para>
@@ -12170,7 +11998,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-debug-io-direct" xreflabel="debug_io_direct">
-      <term><varname>debug_io_direct</varname> (<type>string</type>)
+      <term><varname>debug_io_direct</varname> (<type>string</type>) default is ''
       <indexterm>
         <primary><varname>debug_io_direct</varname> configuration parameter</primary>
       </indexterm>
@@ -12183,7 +12011,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         <literal>FILE_FLAG_NO_BUFFERING</literal> (Windows).
        </para>
        <para>
-        May be set to an empty string (the default) to disable use of direct
+        A value of '' is used to to disable use of direct
         I/O, or a comma-separated list of operations that should use direct I/O.
         The valid options are <literal>data</literal> for
         main data files, <literal>wal</literal> for WAL files, and
@@ -12202,7 +12030,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-debug-parallel-query" xreflabel="debug_parallel_query">
-      <term><varname>debug_parallel_query</varname> (<type>enum</type>)
+      <term><varname>debug_parallel_query</varname> (<type>enum</type>) default is off
       <indexterm>
        <primary><varname>debug_parallel_query</varname> configuration parameter</primary>
       </indexterm>
@@ -12247,7 +12075,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-debug-raw-expression-coverage-test" xreflabel="debug_raw_expression_coverage_test">
-      <term><varname>debug_raw_expression_coverage_test</varname> (<type>boolean</type>)
+      <term><varname>debug_raw_expression_coverage_test</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>debug_raw_expression_coverage_test</varname> configuration parameter</primary>
       </indexterm>
@@ -12256,8 +12084,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
        <para>
         Enabling this forces all raw parse trees for DML statements to be
         scanned by <function>raw_expression_tree_walker()</function>, to
-        facilitate catching errors and omissions in that function.  The
-        default is off.
+        facilitate catching errors and omissions in that function.
        </para>
 
        <para>
@@ -12271,7 +12098,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-debug-write-read-parse-plan-trees" xreflabel="debug_write_read_parse_plan_trees">
-      <term><varname>debug_write_read_parse_plan_trees</varname> (<type>boolean</type>)
+      <term><varname>debug_write_read_parse_plan_trees</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>debug_write_read_parse_plan_trees</varname> configuration parameter</primary>
       </indexterm>
@@ -12280,8 +12107,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
        <para>
         Enabling this forces all parse and plan trees to be passed through
         <filename>outfuncs.c</filename>/<filename>readfuncs.c</filename>, to
-        facilitate catching errors and omissions in those modules.  The
-        default is off.
+        facilitate catching errors and omissions in those modules.
        </para>
 
        <para>
@@ -12295,7 +12121,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-ignore-system-indexes" xreflabel="ignore_system_indexes">
-      <term><varname>ignore_system_indexes</varname> (<type>boolean</type>)
+      <term><varname>ignore_system_indexes</varname> (<type>boolean</type>) default is off
       <indexterm>
         <primary><varname>ignore_system_indexes</varname> configuration parameter</primary>
       </indexterm>
@@ -12311,7 +12137,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-post-auth-delay" xreflabel="post_auth_delay">
-      <term><varname>post_auth_delay</varname> (<type>integer</type>)
+      <term><varname>post_auth_delay</varname> (<type>integer</type>) default is 0
       <indexterm>
        <primary><varname>post_auth_delay</varname> configuration parameter</primary>
       </indexterm>
@@ -12323,14 +12149,13 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         authentication procedure.  This is intended to give developers an
         opportunity to attach to the server process with a debugger.
         If this value is specified without units, it is taken as seconds.
-        A value of zero (the default) disables the delay.
         This parameter cannot be changed after session start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-pre-auth-delay" xreflabel="pre_auth_delay">
-      <term><varname>pre_auth_delay</varname> (<type>integer</type>)
+      <term><varname>pre_auth_delay</varname> (<type>integer</type>) default is 0
       <indexterm>
        <primary><varname>pre_auth_delay</varname> configuration parameter</primary>
       </indexterm>
@@ -12343,7 +12168,6 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
         opportunity to attach to the server process with a debugger to
         trace down misbehavior in authentication.
         If this value is specified without units, it is taken as seconds.
-        A value of zero (the default) disables the delay.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
        </para>
@@ -12351,7 +12175,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-trace-notify" xreflabel="trace_notify">
-      <term><varname>trace_notify</varname> (<type>boolean</type>)
+      <term><varname>trace_notify</varname> (<type>boolean</type>) default is off, but exists only if LOCK_DEBUG was used
       <indexterm>
        <primary><varname>trace_notify</varname> configuration parameter</primary>
       </indexterm>
@@ -12369,7 +12193,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-trace-sort" xreflabel="trace_sort">
-      <term><varname>trace_sort</varname> (<type>boolean</type>)
+      <term><varname>trace_sort</varname> (<type>boolean</type>) default is off, but exists only if LOCK_DEBUG was used
       <indexterm>
        <primary><varname>trace_sort</varname> configuration parameter</primary>
       </indexterm>
@@ -12382,7 +12206,7 @@ dynamic_library_path = '/usr/local/lib/postgresql:$libdir'
      </varlistentry>
 
      <varlistentry id="guc-trace-locks" xreflabel="trace_locks">
-      <term><varname>trace_locks</varname> (<type>boolean</type>)
+      <term><varname>trace_locks</varname> (<type>boolean</type>) default is off, but exists only if LOCK_DEBUG was used
       <indexterm>
        <primary><varname>trace_locks</varname> configuration parameter</primary>
       </indexterm>
@@ -12423,7 +12247,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-trace-lwlocks" xreflabel="trace_lwlocks">
-      <term><varname>trace_lwlocks</varname> (<type>boolean</type>)
+      <term><varname>trace_lwlocks</varname> (<type>boolean</type>) default is off, but exists only if LOCK_DEBUG was used
       <indexterm>
        <primary><varname>trace_lwlocks</varname> configuration parameter</primary>
       </indexterm>
@@ -12443,7 +12267,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-trace-userlocks" xreflabel="trace_userlocks">
-      <term><varname>trace_userlocks</varname> (<type>boolean</type>)
+      <term><varname>trace_userlocks</varname> (<type>boolean</type>) default is off, but exists only if LOCK_DEBUG was used
       <indexterm>
        <primary><varname>trace_userlocks</varname> configuration parameter</primary>
       </indexterm>
@@ -12462,7 +12286,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-trace-lock-oidmin" xreflabel="trace_lock_oidmin">
-      <term><varname>trace_lock_oidmin</varname> (<type>integer</type>)
+      <term><varname>trace_lock_oidmin</varname> (<type>integer</type>) default is off, but exists only if LOCK_DEBUG was used
       <indexterm>
        <primary><varname>trace_lock_oidmin</varname> configuration parameter</primary>
       </indexterm>
@@ -12481,7 +12305,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-trace-lock-table" xreflabel="trace_lock_table">
-      <term><varname>trace_lock_table</varname> (<type>integer</type>)
+      <term><varname>trace_lock_table</varname> (<type>integer</type>) default is 0, but exists only if LOCK_DEBUG was used
       <indexterm>
        <primary><varname>trace_lock_table</varname> configuration parameter</primary>
       </indexterm>
@@ -12499,7 +12323,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-debug-deadlocks" xreflabel="debug_deadlocks">
-      <term><varname>debug_deadlocks</varname> (<type>boolean</type>)
+      <term><varname>debug_deadlocks</varname> (<type>boolean</type>) default is off, but exists only if LOCK_DEBUG was used
       <indexterm>
        <primary><varname>debug_deadlocks</varname> configuration parameter</primary>
       </indexterm>
@@ -12518,7 +12342,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-log-btree-build-stats" xreflabel="log_btree_build_stats">
-      <term><varname>log_btree_build_stats</varname> (<type>boolean</type>)
+      <term><varname>log_btree_build_stats</varname> (<type>boolean</type>) default is off, but exists only if BTREE_BUILD_STATS was used
       <indexterm>
        <primary><varname>log_btree_build_stats</varname> configuration parameter</primary>
       </indexterm>
@@ -12537,7 +12361,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-wal-consistency-checking" xreflabel="wal_consistency_checking">
-      <term><varname>wal_consistency_checking</varname> (<type>string</type>)
+      <term><varname>wal_consistency_checking</varname> (<type>string</type>) default is ''
       <indexterm>
        <primary><varname>wal_consistency_checking</varname> configuration parameter</primary>
       </indexterm>
@@ -12555,8 +12379,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
        </para>
 
        <para>
-        The default value of this setting is the empty string, which disables
-        the feature.  It can be set to <literal>all</literal> to check all
+        It can be set to <literal>all</literal> to check all
         records, or to a comma-separated list of resource managers to check
         only records originating from those resource managers.  Currently,
         the supported resource managers are <literal>heap</literal>,
@@ -12570,7 +12393,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-wal-debug" xreflabel="wal_debug">
-      <term><varname>wal_debug</varname> (<type>boolean</type>)
+      <term><varname>wal_debug</varname> (<type>boolean</type>) default is off, but exists only if WAL_DEBUG was used
       <indexterm>
        <primary><varname>wal_debug</varname> configuration parameter</primary>
       </indexterm>
@@ -12586,7 +12409,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
     <varlistentry id="guc-ignore-checksum-failure" xreflabel="ignore_checksum_failure">
-      <term><varname>ignore_checksum_failure</varname> (<type>boolean</type>)
+      <term><varname>ignore_checksum_failure</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>ignore_checksum_failure</varname> configuration parameter</primary>
       </indexterm>
@@ -12604,8 +12427,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
         or hide corruption, or other serious problems</emphasis>.  However, it may allow
         you to get past the error and retrieve undamaged tuples that might still be
         present in the table if the block header is still sane. If the header is
-        corrupt an error will be reported even if this option is enabled. The
-        default setting is <literal>off</literal>.
+        corrupt an error will be reported even if this option is enabled.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -12613,7 +12435,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
     <varlistentry id="guc-zero-damaged-pages" xreflabel="zero_damaged_pages">
-      <term><varname>zero_damaged_pages</varname> (<type>boolean</type>)
+      <term><varname>zero_damaged_pages</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>zero_damaged_pages</varname> configuration parameter</primary>
       </indexterm>
@@ -12632,8 +12454,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
         generally not set this on until you have given up hope of recovering
         data from the damaged pages of a table.  Zeroed-out pages are not
         forced to disk so it is recommended to recreate the table or
-        the index before turning this parameter off again.  The
-        default setting is <literal>off</literal>.
+        the index before turning this parameter off again.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -12641,14 +12462,14 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-ignore-invalid-pages" xreflabel="ignore_invalid_pages">
-      <term><varname>ignore_invalid_pages</varname> (<type>boolean</type>)
+      <term><varname>ignore_invalid_pages</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>ignore_invalid_pages</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        If set to <literal>off</literal> (the default), detection of
+        If set to <literal>off</literal>, detection of
         WAL records having references to invalid pages during
         recovery causes <productname>PostgreSQL</productname> to
         raise a PANIC-level error, aborting the recovery. Setting
@@ -12666,7 +12487,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-jit-debugging-support" xreflabel="jit_debugging_support">
-      <term><varname>jit_debugging_support</varname> (<type>boolean</type>)
+      <term><varname>jit_debugging_support</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>jit_debugging_support</varname> configuration parameter</primary>
       </indexterm>
@@ -12675,14 +12496,13 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
        <para>
         If LLVM has the required functionality, register generated functions
         with <productname>GDB</productname>.  This makes debugging easier.
-        The default setting is <literal>off</literal>.
         This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-jit-dump-bitcode" xreflabel="jit_dump_bitcode">
-      <term><varname>jit_dump_bitcode</varname> (<type>boolean</type>)
+      <term><varname>jit_dump_bitcode</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>jit_dump_bitcode</varname> configuration parameter</primary>
       </indexterm>
@@ -12692,7 +12512,6 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
         Writes the generated <productname>LLVM</productname> IR out to the
         file system, inside <xref linkend="guc-data-directory"/>. This is only
         useful for working on the internals of the JIT implementation.
-        The default setting is <literal>off</literal>.
         Only superusers and users with the appropriate <literal>SET</literal>
         privilege can change this setting.
        </para>
@@ -12700,7 +12519,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-jit-expressions" xreflabel="jit_expressions">
-      <term><varname>jit_expressions</varname> (<type>boolean</type>)
+      <term><varname>jit_expressions</varname> (<type>boolean</type>) default is on
       <indexterm>
        <primary><varname>jit_expressions</varname> configuration parameter</primary>
       </indexterm>
@@ -12708,14 +12527,13 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
       <listitem>
        <para>
         Determines whether expressions are JIT compiled, when JIT compilation
-        is activated (see <xref linkend="jit-decision"/>).  The default is
-        <literal>on</literal>.
+        is activated (see <xref linkend="jit-decision"/>).
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-jit-profiling-support" xreflabel="jit_profiling_support">
-      <term><varname>jit_profiling_support</varname> (<type>boolean</type>)
+      <term><varname>jit_profiling_support</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>jit_profiling_support</varname> configuration parameter</primary>
       </indexterm>
@@ -12726,14 +12544,13 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
         <productname>perf</productname> to profile functions generated by JIT.
         This writes out files to <filename>~/.debug/jit/</filename>; the
         user is responsible for performing cleanup when desired.
-        The default setting is <literal>off</literal>.
         This parameter can only be set at server start.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-jit-tuple-deforming" xreflabel="jit_tuple_deforming">
-      <term><varname>jit_tuple_deforming</varname> (<type>boolean</type>)
+      <term><varname>jit_tuple_deforming</varname> (<type>boolean</type>) default is on
       <indexterm>
        <primary><varname>jit_tuple_deforming</varname> configuration parameter</primary>
       </indexterm>
@@ -12742,20 +12559,19 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
        <para>
         Determines whether tuple deforming is JIT compiled, when JIT
         compilation is activated (see <xref linkend="jit-decision"/>).
-        The default is <literal>on</literal>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-remove-temp-files-after-crash" xreflabel="remove_temp_files_after_crash">
-      <term><varname>remove_temp_files_after_crash</varname> (<type>boolean</type>)
+      <term><varname>remove_temp_files_after_crash</varname> (<type>boolean</type>) default is on
       <indexterm>
        <primary><varname>remove_temp_files_after_crash</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        When set to <literal>on</literal>, which is the default,
+        When set to <literal>on</literal>, 
         <productname>PostgreSQL</productname> will automatically remove
         temporary files after a backend crash. If disabled, the files will be
         retained and may be used for debugging, for example. Repeated crashes
@@ -12767,7 +12583,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-send-abort-for-crash" xreflabel="send_abort_for_crash">
-      <term><varname>send_abort_for_crash</varname> (<type>boolean</type>)
+      <term><varname>send_abort_for_crash</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>send_abort_for_crash</varname> configuration parameter</primary>
       </indexterm>
@@ -12795,7 +12611,7 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-send-abort-for-kill" xreflabel="send_abort_for_kill">
-      <term><varname>send_abort_for_kill</varname> (<type>boolean</type>)
+      <term><varname>send_abort_for_kill</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary><varname>send_abort_for_kill</varname> configuration parameter</primary>
       </indexterm>
@@ -12823,15 +12639,14 @@ LOG:  CleanUpLock: deleting: lock(0xb7acd844) id(24688,24696,0,0,0,1)
      </varlistentry>
 
      <varlistentry id="guc-debug-logical-replication-streaming" xreflabel="debug_logical_replication_streaming">
-      <term><varname>debug_logical_replication_streaming</varname> (<type>enum</type>)
+      <term><varname>debug_logical_replication_streaming</varname> (<type>enum</type>) default is buffered
       <indexterm>
        <primary><varname>debug_logical_replication_streaming</varname> configuration parameter</primary>
       </indexterm>
       </term>
       <listitem>
        <para>
-        The allowed values are <literal>buffered</literal> and
-        <literal>immediate</literal>. The default is <literal>buffered</literal>.
+        The allowed values are <literal>buffered</literal> and <literal>immediate</literal>. 
         This parameter is intended to be used to test logical decoding and
         replication of large transactions.  The effect of
         <varname>debug_logical_replication_streaming</varname> is different for the
-- 
2.42.0.windows.2

